classification
Title: PyErr_Format in ctypes uses invalid parameter
Type: behavior Stage: resolved
Components: ctypes Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: amaury.forgeotdarc, belopolsky, haypo, masamoto, meador.inge, mkato, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2015-01-28 10:52 by mkato, last changed 2015-04-04 07:15 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
py.patch mkato, 2015-01-30 06:56 for master branch review
py27.patch mkato, 2015-01-30 07:02 for 2.7 branch review
Repositories containing patches
https://hg.python.org/cpython#2.7
https://hg.python.org/cpython
Messages (7)
msg234886 - (view) Author: Makoto Kato (mkato) * Date: 2015-01-28 10:52
This is CYGWIN build only.

When ctypes cannot find function in CDataType_in_dll, it uses PyErr_Format.  But it passes invalid parameters.
msg234887 - (view) Author: Makoto Kato (mkato) * Date: 2015-01-28 10:55
add fix for ctypes of 2.7 branch.

I don't know correct way to attach patch and process for patch.  (I am new commer).  So please let me know correct way if incorrect.
msg234934 - (view) Author: Makoto Kato (mkato) * Date: 2015-01-29 01:31
for master
msg235025 - (view) Author: Makoto Kato (mkato) * Date: 2015-01-30 06:56
updated.  for master
msg235026 - (view) Author: Makoto Kato (mkato) * Date: 2015-01-30 07:02
updated for python 2.7
msg240047 - (view) Author: Roundup Robot (python-dev) Date: 2015-04-04 07:07
New changeset 1f28c8cca671 by Serhiy Storchaka in branch '2.7':
Issue #23338: Fixed formatting ctypes error messages on Cygwin.
https://hg.python.org/cpython/rev/1f28c8cca671

New changeset 36eca0b259e2 by Serhiy Storchaka in branch '3.4':
Issue #23338: Fixed formatting ctypes error messages on Cygwin.
https://hg.python.org/cpython/rev/36eca0b259e2

New changeset 3eb3a6d45251 by Serhiy Storchaka in branch 'default':
Issue #23338: Fixed formatting ctypes error messages on Cygwin.
https://hg.python.org/cpython/rev/3eb3a6d45251
msg240049 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-04-04 07:15
Thank you for your contribution Makoto.
History
Date User Action Args
2015-04-04 07:15:39serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg240049

stage: patch review -> resolved
2015-04-04 07:07:46python-devsetnosy: + python-dev
messages: + msg240047
2015-04-04 06:56:50serhiy.storchakasetassignee: serhiy.storchaka

nosy: + serhiy.storchaka
versions: + Python 2.7
2015-04-03 21:08:35masamotosetnosy: + masamoto
2015-03-31 02:36:44berker.peksagsetnosy: + amaury.forgeotdarc, belopolsky, meador.inge
stage: patch review
type: crash -> behavior

versions: + Python 3.4, Python 3.5, - Python 3.6
2015-03-31 02:36:06berker.peksaglinkissue23663 superseder
2015-01-30 07:02:11mkatosetfiles: - py.patch
2015-01-30 07:02:00mkatosetfiles: + py27.patch

messages: + msg235026
versions: + Python 3.6, - Python 2.7
2015-01-30 06:56:58mkatosethgrepos: - hgrepo295
2015-01-30 06:56:32mkatosetfiles: + py.patch
hgrepos: + hgrepo296
messages: + msg235025
2015-01-30 06:54:50mkatosetfiles: - py.patch
2015-01-29 01:31:43mkatosetfiles: + py.patch
hgrepos: + hgrepo295
messages: + msg234934
2015-01-28 10:59:31hayposetnosy: + haypo
2015-01-28 10:55:56mkatosetfiles: + py.patch
hgrepos: + hgrepo294
messages: + msg234887

keywords: + patch
2015-01-28 10:52:51mkatocreate